execute store result score in_game in_game if entity @a[tag=in_game,tag=!freeze]

execute store result score players players if entity @a

execute if entity @e[tag=start] if score in_game in_game matches ..0 run scoreboard players add timer_stop timer_stop 1
execute if score timer_stop timer_stop matches 60.. run tag @e[tag=Marker] add hunter
execute if entity @e[tag=start] if score m m matches ..0 if score s s matches ..1 run tag @e[tag=Marker] add play
execute if entity @e[tag=start] unless entity @a[tag=hunter] run tag @e[tag=Marker] add play
execute as @e[tag=Marker,tag=hunter] at @a run function ice:stop
execute as @e[tag=Marker,tag=play] at @a run function ice:stop

team join hunter @a[tag=hunter]
team join in_game @a[tag=in_game,tag=!freeze]
team join gray @a[tag=freeze]

effect give @a[tag=in_game] weakness 2 100 true
effect give @a[tag=in_game] speed 2 3 true

execute as @e[type=falling_block] at @s run data modify entity @s Time set value 10

execute as @e[tag=ice1] at @s run tp @a[tag=freeze,sort=nearest,limit=1] ~ ~ ~ ~ ~
execute as @e[tag=ice1] at @s if block ~ ~-0.1 ~ #ice:air run tp @s ~ ~-0.1 ~ ~ ~
execute as @e[tag=ice3] at @s if block ~ ~-1.1 ~ #ice:air run tp @s ~ ~-0.1 ~ ~ ~

execute as @e[tag=ne_freeze] at @s run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Marker:1b,Invisible:1b,Tags:["ice1","ice4","ne_ice"],Passengers:[{id:"minecraft:falling_block",BlockState:{Name:"minecraft:ice"},NoGravity:1b,Time:10,Tags:["ice2","ice4"]}]}
execute as @e[tag=ice1,tag=ne_ice] at @s run tp @s @a[limit=1,sort=nearest,tag=ne_freeze]
execute as @e[tag=ice1,tag=ne_ice] at @s run tag @s remove ne_ice
execute as @e[tag=ne_freeze] at @s run summon falling_block ~ ~ ~ {BlockState:{Name:"minecraft:ice"},NoGravity:1b,Time:10,Tags:["ice3","ice4"]}
execute as @e[tag=ne_freeze] at @s run particle dust 0.627 0.851 1 2 ~ ~1 ~ 0.8 0.7 0.8 5 300 force @a
execute as @e[tag=ne_freeze] at @s run playsound block.glass.break master @a ~ ~ ~ 5 2 
execute as @e[tag=ne_freeze] at @s run title @a title {"text":""}
execute as @e[tag=ne_freeze] at @s run title @a subtitle [{"selector":"@s","color":"gold","bold":true,"italic":false},{"translate":" is frozen","color":"aqua","bold":true,"italic":false}]
execute as @e[tag=ne_freeze] at @s run tag @s add freeze
execute as @e[tag=ne_freeze] at @s run tag @s remove ne_freeze

effect give @a[tag=freeze] levitation 2 255 true
effect clear @a[tag=!freeze] levitation

execute as @e[tag=ice2] at @s run tp @e[tag=ice3,distance=..1] ~ ~1 ~ ~ ~

execute as @e[tag=ice1] at @s unless entity @e[distance=..0.6,tag=freeze] run kill @s 
execute as @e[tag=ice2] at @s unless entity @e[distance=..0.6,tag=ice1] run kill @s
execute as @e[tag=ice3] at @s unless entity @e[distance=..1,tag=ice2] run kill @s

team join in_game @e[tag=ice4]

execute if score infect infect matches 0 as @a[tag=in_game,scores={hit=1..},tag=!freeze,nbt=!{Inventory:[{id:"minecraft:totem_of_undying"}]}] at @s run tag @s add ne_freeze
execute if score infect infect matches 1 as @a[tag=in_game,scores={hit=1..},tag=!freeze,nbt=!{Inventory:[{id:"minecraft:totem_of_undying"}]}] at @s run tag @s add ne_hunter

execute as @a[tag=in_game,scores={hit=1..},tag=!freeze,nbt={Inventory:[{id:"minecraft:totem_of_undying"}]}] at @s run effect give @a[tag=hunter] blindness 3 5 true
execute as @a[tag=in_game,scores={hit=1..},tag=!freeze,nbt={Inventory:[{id:"minecraft:totem_of_undying"}]}] at @s run particle totem_of_undying ~ ~1 ~ 0.2 0.5 0.2 1 50 force @a
execute as @a[tag=in_game,scores={hit=1..},tag=!freeze,nbt={Inventory:[{id:"minecraft:totem_of_undying"}]}] at @s run playsound block.beacon.activate master @a ~ ~ ~ 3 1
execute as @a[tag=in_game,scores={hit=1..},tag=!freeze,nbt={Inventory:[{id:"minecraft:totem_of_undying"}]}] at @s run title @s title {"translate":"Second Life","color":"gold","bold":true,"italic":false}
execute as @a[tag=in_game,scores={hit=1..},tag=!freeze,nbt={Inventory:[{id:"minecraft:totem_of_undying"}]}] at @s run effect give @s resistance 5 100 true
execute as @a[tag=in_game,scores={hit=1..},tag=!freeze,nbt={Inventory:[{id:"minecraft:totem_of_undying"}]}] at @s run effect give @s invisibility 5 100 true
execute as @a[tag=in_game,scores={hit=1..},tag=!freeze,nbt={Inventory:[{id:"minecraft:totem_of_undying"}]}] at @s run clear @s totem_of_undying 1

effect give @a[tag=hunter] speed 1 1 true

scoreboard players reset @a hit

execute as @e[tag=ne_hunter] at @s run tag @s add hunter
execute as @e[tag=ne_hunter] at @s run tag @s add p_hunter
execute as @e[tag=ne_hunter] at @s run effect give @s weakness 2 100 true
execute as @e[tag=ne_hunter] at @s run effect give @s blindness 2 100 true
execute as @e[tag=ne_hunter] at @s run effect give @s slowness 2 100 true
execute as @e[tag=ne_hunter] at @s run tag @s remove in_game
execute as @e[tag=ne_hunter] at @s run playsound block.glass.break master @a ~ ~ ~ 5 2 
execute as @e[tag=ne_hunter] at @s run title @s title {"text":"Ты Дух","color":"aqua","bold":true,"italic":false}
#execute if score map map matches 1 as @e[tag=ne_hunter] at @s run tp @s
#execute if score map map matches 2 as @e[tag=ne_hunter] at @s run tp @s
#execute if score map map matches 3 as @e[tag=ne_hunter] at @s run tp @s
execute as @e[tag=ne_hunter] at @s run tag @s remove ne_hunter

execute as @a[tag=freeze] at @s if entity @a[tag=in_game,tag=!freeze,distance=..0.7] run effect give @s resistance 2 100 true
execute as @a[tag=freeze] at @s if entity @a[tag=in_game,tag=!freeze,distance=..0.7] run tag @s remove freeze 

scoreboard players add @e[tag=timer] timer 1

execute as @e[scores={timer=0..1}] at @s run title @a title {"text":"3","color":"dark_green","bold":true,"italic":false}
execute as @e[scores={timer=0..1}] at @s run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 2 0
execute as @e[scores={timer=10..11}] at @s run title @a title {"text":"2","color":"gold","bold":true,"italic":false}
execute as @e[scores={timer=10..11}] at @s run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 2 0
execute as @e[scores={timer=20..21}] at @s run title @a title {"text":"1","color":"dark_red","bold":true,"italic":false}
execute as @e[scores={timer=20..21}] at @s run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 2 0
execute as @e[scores={timer=30..},tag=auto] at @s run function ice:start_auto
execute as @e[scores={timer=30..},tag=ne_auto] at @s run function ice:start_ne_auto

effect give @a[tag=hunter] invisibility 2 200 true

#execute as @a[tag=hunter] at @s run particle dust 0.216 0.776 1 1 ~ ~1 ~ 0.1 0.1 0.1 0 10 force @a
#execute as @a[tag=hunter] at @s run particle dust 1 1 1 1 ~ ~1 ~ 0.5 0.5 0.5 0 20 force @a

execute as @a[tag=hunter] at @s run particle dust 0.216 0.776 1 1 ~ ~1 ~ 0.1 0.1 0.1 0 10 force @a[distance=0.1..]
execute as @a[tag=hunter] at @s run particle dust 1 1 1 1 ~ ~1 ~ 0.5 0.5 0.5 0 20 force @a[distance=0.1..]


execute if entity @e[tag=start] run scoreboard players remove ms ms 1
execute if score ms ms matches ..0 run scoreboard players remove s s 1
execute if score ms ms matches ..0 run scoreboard players set ms ms 20
execute if score s s matches ..1 if score ms ms matches 0..2 run scoreboard players remove m m 1
execute if score s s matches ..1 if score ms ms matches 0..2 run scoreboard players set s s 60

execute if entity @e[tag=start] run title @a[tag=in_game] actionbar [{"text":"-<| ","color":"gold","bold":true,"italic":false},{"score":{"name":"m","objective":"m"},"color":"black","bold":false,"italic":false},{"text":":","color":"black","bold":false,"italic":false},{"score":{"name":"s","objective":"s"},"color":"black","bold":false,"italic":false},{"text":" |>-","color":"gold","bold":false,"italic":false}]
execute if entity @e[tag=start] if score s s matches ..9 run title @a[tag=in_game] actionbar [{"text":"-<| ","color":"gold","bold":true,"italic":false},{"score":{"name":"m","objective":"m"},"color":"black","bold":false,"italic":false},{"text":":","color":"black","bold":false,"italic":false},{"text":"0","color":"black","bold":false,"italic":false},{"score":{"name":"s","objective":"s"},"color":"black","bold":false,"italic":false},{"text":" |>-","color":"gold","bold":false,"italic":false}]
execute if entity @e[tag=start] run title @a[tag=hunter] actionbar [{"text":"-<| ","color":"aqua","bold":true,"italic":false},{"score":{"name":"m","objective":"m"},"color":"black","bold":false,"italic":false},{"text":":","color":"black","bold":false,"italic":false},{"score":{"name":"s","objective":"s"},"color":"black","bold":false,"italic":false},{"text":" |>-","color":"aqua","bold":false,"italic":false}]
execute if entity @e[tag=start] if score s s matches ..9 run title @a[tag=hunter] actionbar [{"text":"-<| ","color":"aqua","bold":true,"italic":false},{"score":{"name":"m","objective":"m"},"color":"black","bold":false,"italic":false},{"text":":","color":"black","bold":false,"italic":false},{"text":"0","color":"black","bold":false,"italic":false},{"score":{"name":"s","objective":"s"},"color":"black","bold":false,"italic":false},{"text":" |>-","color":"aqua","bold":false,"italic":false}]


execute as @a[tag=nee_hunter] at @s run function ice:ne_auto

execute as @e[tag=menu] at @s run effect give @a weakness 2 100 true

execute if entity @e[tag=menu] as @a[tag=in_game] at @s run tp @s 10 42 -2 0 -90
execute if entity @e[tag=menu] as @a[tag=in_game] at @s run gamemode adventure @s
execute if entity @e[tag=menu] as @a[tag=in_game] at @s run team leave @s
execute if entity @e[tag=menu] as @a[tag=in_game] at @s run clear @s
execute if entity @e[tag=menu] as @a[tag=in_game] at @s run tag @s remove in_game

execute if entity @e[tag=menu] as @a[tag=hunter] at @s run tp @s 10 42 -2 0 -90
execute if entity @e[tag=menu] as @a[tag=hunter] at @s run gamemode adventure @s
execute if entity @e[tag=menu] as @a[tag=hunter] at @s run team leave @s
execute if entity @e[tag=menu] as @a[tag=hunter] at @s run clear @s
execute if entity @e[tag=menu] as @a[tag=hunter] at @s run tag @s remove hunter

execute if entity @e[tag=start] as @a[tag=!hunter,tag=!in_game] at @s run tp @s -35 41 -8
execute if entity @e[tag=start] as @a[tag=!hunter,tag=!in_game] at @s run spreadplayers ~ ~ 1 1 under 43 true @s
execute if entity @e[tag=start] as @a[tag=!hunter,tag=!in_game] at @s run gamemode adventure @s
execute if entity @e[tag=start] as @a[tag=!hunter,tag=!in_game] at @s run clear @s
execute if entity @e[tag=start] as @a[tag=!hunter,tag=!in_game] at @s run tag @s add ne_freeze
execute if entity @e[tag=start] as @a[tag=!hunter,tag=!in_game] at @s run tag @s add in_game

execute as @a[tag=freeze] at @s unless entity @e[tag=ice1] run tag @s add ne_freeze
execute as @a[tag=freeze] at @s unless entity @e[tag=ice1] run tag @s remove freeze

execute as @a at @s if block ~ ~-1 ~ bedrock run spawnpoint @s 8 42 -2
execute as @a at @s if block ~ ~-1 ~ bedrock run gamemode adventure @s
execute as @a at @s if block ~ ~-1 ~ bedrock run tp @s 8 42 -2

team leave @a[tag=!hunter,tag=!in_game,tag=!freeze]

execute as @e[type=item,nbt=!{Item:{tag:{not_pick:1}}}] at @s run data modify entity @s PickupDelay set value 0
execute as @e[type=item,nbt=!{Item:{tag:{not_pick:1}}}] at @s run tp @s @a[limit=1,sort=nearest] 

#effect give @a[tag=hunter] jump_boost 2 2 true

execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_mall",Count:1b}}] at @s as @a at @s run playsound entity.player.levelup master @s ~ ~ ~ 10 0
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_mall",Count:1b}}] at @s run effect give @a[tag=hunter] blindness 3 5 true
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_mall",Count:1b}}] at @s run effect give @a[tag=in_game] resistance 3 5 true
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_mall",Count:1b}}] at @s run title @a title {"translate":"Full Defrost","color":"dark_purple","bold":true,"italic":false}
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_mall",Count:1b}}] at @s run scoreboard players set timer_stop timer_stop 0
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_mall",Count:1b}}] at @s run tag @a remove freeze
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_mall",Count:1b}}] at @s run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_stal",Count:1b}}] at @s as @a[distance=..7] at @s run playsound block.fire.extinguish master @s ~ ~ ~ 10 0
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_stal",Count:1b}}] at @s run effect give @a[tag=hunter,distance=..7] blindness 3 5 true
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_stal",Count:1b}}] at @s run particle dust 0.208 0.208 0.208 5 ~ ~2 ~ 4 4 4 0 400 force @a
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_stal",Count:1b}}] at @s run effect give @a[tag=in_game,distance=..7] invisibility 5 10 true
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_stal",Count:1b}}] at @s run effect give @a[tag=in_game,distance=..7] resistance 5 10 true
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_stal",Count:1b}}] at @s run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s as @a[distance=..7] at @s run playsound block.fire.extinguish master @s ~ ~ ~ 10 0
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s as @a[distance=..7] at @s run playsound block.beacon.activate master @s ~ ~ ~ 10 1
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s run effect give @a[tag=hunter,distance=..7,tag=!p_hunter] blindness 3 5 true
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s run particle dust 0.129 0.78 0 5 ~ ~2 ~ 4 4 4 0 400 force @a
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s run tag @a[tag=p_hunter,distance=..7] add in_game
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s run tag @a[tag=p_hunter,distance=..7] remove hunter
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s run tag @a[tag=p_hunter,distance=..7] remove p_hunter
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s run title @a[tag=p_hunter,distance=..7] title {"text":"You are Free","color":"gold","bold":true,"italic":false} 
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s run effect give @a[tag=in_game,distance=..7] invisibility 5 10 true
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s run effect give @a[tag=in_game,distance=..7] resistance 5 10 true
execute as @e[type=item,nbt={Item:{id:"minecraft:music_disc_far",Count:1b}}] at @s run kill @s

execute as @e[tag=start] at @s run scoreboard players add present present 1

execute if score present present >= npp npp if score map map matches 1 run summon armor_stand -39 41 -2 {Tags:["present","ne_spread"],NoGravity:1b,Silent:1b,Small:1b,Marker:1b,Invisible:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Id:[I;-1626538924,-1410775545,-1984946359,940139578],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTNjZmJmMmJkZmQ0ODUxNGJmYmFjZTk1MThjNzY2NDExMmRmMmMxNzNlOGM3YWQ5MmIzZTY1NjIxYTllZDZlMCJ9fX0="}]}}}}]}
execute if score present present >= npp npp if score map map matches 2 run summon armor_stand -38 35 63 {Tags:["present","ne_spread"],NoGravity:1b,Silent:1b,Small:1b,Marker:1b,Invisible:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Id:[I;-1626538924,-1410775545,-1984946359,940139578],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTNjZmJmMmJkZmQ0ODUxNGJmYmFjZTk1MThjNzY2NDExMmRmMmMxNzNlOGM3YWQ5MmIzZTY1NjIxYTllZDZlMCJ9fX0="}]}}}}]}
execute if score present present >= npp npp if score map map matches 3 run summon armor_stand -45 49 82 {Tags:["present","ne_spread"],NoGravity:1b,Silent:1b,Small:1b,Marker:1b,Invisible:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Id:[I;-1626538924,-1410775545,-1984946359,940139578],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTNjZmJmMmJkZmQ0ODUxNGJmYmFjZTk1MThjNzY2NDExMmRmMmMxNzNlOGM3YWQ5MmIzZTY1NjIxYTllZDZlMCJ9fX0="}]}}}}]}
execute if score present present >= npp npp run scoreboard players reset present present
execute as @e[tag=ne_spread] at @s if score map map matches 1 run spreadplayers ~ ~ 25 25 under 50 true @s
execute as @e[tag=ne_spread] at @s if score map map matches 2 run spreadplayers ~ ~ 25 25 under 38 true @s
execute as @e[tag=ne_spread] at @s if score map map matches 3 run spreadplayers ~ ~ 25 25 true @s 
execute as @e[tag=ne_spread] at @s run tag @s remove ne_spread


execute as @e[tag=present] at @s if block ~ ~-1 ~ white_concrete if score present present >= npp npp if score map map matches 1 run tag @s add ne_spread
execute as @e[tag=present] at @s if block ~ ~-1 ~ white_concrete if score present present >= npp npp if score map map matches 1 run tp @s -39 41 -2

execute as @e[tag=present] at @s if block ~ ~-1 ~ white_concrete if score present present >= npp npp if score map map matches 2 run tag @s add ne_spread
execute as @e[tag=present] at @s if block ~ ~-1 ~ white_concrete if score present present >= npp npp if score map map matches 2 run tp @s -38 35 63

execute as @e[tag=present] at @s if block ~ ~-1 ~ white_concrete if score present present >= npp npp if score map map matches 3 run tag @s add ne_spread
execute as @e[tag=present] at @s if block ~ ~-1 ~ white_concrete if score present present >= npp npp if score map map matches 3 run tp @s -45 49 82

execute as @e[tag=present] at @s run tp @s ~ ~ ~ ~5 ~
execute as @e[tag=present] at @s run particle dust 0.059 0.98 0.98 1 ~ ~0.4 ~ 0.5 0.5 0.5 0 5 force @a

execute as @e[tag=present] at @s as @a[tag=!hunter,distance=..1] at @s run playsound entity.experience_orb.pickup master @s ~ ~ ~ 1 0
execute as @e[tag=present] at @s as @a[tag=!hunter,distance=..1] at @s run loot give @s loot present
execute as @e[tag=present] at @s if entity @a[tag=!hunter,distance=..1] run kill @s

execute as @e[tag=present] at @s if block ~ ~-0.1 ~ #ice:air run tp @s ~ ~-0.1 ~

execute if score nm nm matches ..0 run scoreboard players set nm nm 1
execute if score np np matches ..29 run scoreboard players set np np 30
execute if score npp npp matches ..599 run scoreboard players set npp npp 600


execute as 2f432384-74f5-40e0-a818-ef83c14ed7a2 at @s if entity @s[nbt=!{ItemRotation:0b}] run function ice:next_map


execute positioned -22 51 89 as @a[dx=0] at @s run summon creeper -41 61 53 {NoAI:1,Fuse:1,ignited:1,Silent:1,ExplosionRadius:2}
execute positioned -22 51 89 as @a[dx=0] at @s positioned -41 61 53 run effect give @a[distance=..5] minecraft:resistance 2 100 true
execute positioned -22 51 89 as @a[dx=0] at @s run effect give @s resistance 2 100 true
execute positioned -22 51 89 as @a[dx=0] at @s run tp @s -41 62 53 0 0

#execute as @a at @s if block ~ ~ ~ ladder run tp @s ~ ~0.5 ~

effect give @a saturation 2 200 true

execute if block -261 164 31 minecraft:oak_button[face=floor,facing=north,powered=true] run tellraw @a [{"translate":"Everything you need to know about the map","color":"aqua","bold":true,"italic":false},{"text":"\n\n"},{"translate":"Spirit blows freezes players. After passing through a frozen player, you will unfreeze him. Everyone froze - the victory of the Spirit.","color":"dark_aqua","italic":false},{"text":"\n\n"},{"translate":"All gifts for activation must be thrown away (except for Second Life). You can look at descriptions of all gifts by looking at it in your inventory.","color":"aqua","italic":false}]
execute if block -261 164 31 minecraft:oak_button[face=floor,facing=north,powered=true] run setblock -261 164 31 minecraft:oak_button[face=floor,facing=north,powered=false]